#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=thurmond2.7_base.ps
projection=-JM16.0c+
region=-R-82.6/-82.0/33.7/34.0
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map thurmond2.7' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    33.871   -82.471
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    33.781   -82.388
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    33.799   -82.408
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    33.782   -82.387
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    33.814   -82.113
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    33.817   -82.105
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.872   -82.470
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.865   -82.458
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.782   -82.388
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.776   -82.377
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.798   -82.407
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.769   -82.388
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.782   -82.388
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.776   -82.381
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.815   -82.115
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.820   -82.100
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.818   -82.106
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.825   -82.069
    33.817   -82.105
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    33.871   -82.471    43.822     0.458     1.003
    33.781   -82.388    42.651     0.469     0.910
    33.799   -82.408    48.000     0.746     2.293
    33.782   -82.387    40.868     0.525     1.062
    33.814   -82.113    46.547     0.379     0.675
    33.817   -82.105    45.465     0.471     0.726
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    33.735   -82.506    53.976     1.016     1.615
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    33.735   -82.483   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    33.735   -82.506     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    33.735   -82.506     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    33.690   -82.506   5 km
END
