#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=thurmond2.7_dcal.ps
projection=-JM16.0c+
region=-R-84.7/-79.8/31.9/35.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration thurmond2.7' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.993   -82.932
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.993   -82.932
    33.871   -82.471
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.622   -82.466
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.622   -82.466
    33.781   -82.388
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.799   -82.408
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.221   -82.136
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.236   -82.842
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.855   -83.584
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.503   -83.301
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.280   -83.571
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.622   -82.466
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.622   -82.466
    33.782   -82.387
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.492   -81.032
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.492   -81.032
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.411   -83.467
    33.814   -82.113
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.232   -82.259
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.360   -81.610
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.360   -81.610
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.282   -81.260
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.821   -81.814
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.938   -81.858
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.862   -82.688
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.792   -81.305
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.325   -81.369
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.470   -81.634
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.547   -82.374
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.492   -81.032
    33.817   -82.105
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.492   -81.032
    33.817   -82.105
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    33.862   -82.688     0.300
    34.232   -82.259     0.300
    33.938   -81.858     0.300
    34.547   -82.374     0.300
    33.221   -82.136     0.300
    33.236   -82.842     0.300
    34.470   -81.634     0.300
    33.855   -83.584     0.300
    34.503   -83.301     0.300
    33.411   -83.467     0.300
    33.792   -81.305     0.300
    33.325   -81.369     0.300
    34.282   -81.260     0.300
    34.821   -81.814     0.300
    33.280   -83.571     0.300
    34.993   -82.932     0.300
    32.622   -82.466     0.300
    34.492   -81.032     0.300
    33.360   -81.610     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.871   -82.471     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.781   -82.388     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.799   -82.408     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.782   -82.387     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.814   -82.113     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.817   -82.105     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    33.811   -82.312     0.000   222.000   222.000
    33.811   -82.312     0.000   444.000   444.000
END
